Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Class RefreshResult

    java.lang.Object
      org.jboss.portal.wsrp.consumer.RefreshResult

Direct Known Subclasses:
  RegistrationInfo.RegistrationRefreshResult

    public class RefreshResult

extends java.lang.Object

Since:
  2.6
Version:
  $Revision: 11444 $
Author:
  Chris Laprun

Nested Class Summary
`static class` | `RefreshResult.Status`

Constructor Summary
`RefreshResult()` A RefreshResult is assumed successful unless proven otherwise.
`RefreshResult(RefreshResult.Status status)`

Method Summary
`boolean` | `didRefreshHappen()`
`RefreshResult` | `getRegistrationResult()`
`ServiceDescription` | `getServiceDescription()`
`RefreshResult.Status` | `getStatus()`
`boolean` | `hasIssues()`
`void` | `setRegistrationResult(RefreshResult registrationResult)`
`void` | `setServiceDescription(ServiceDescription serviceDescription)`
`void` | `setStatus(RefreshResult.Status status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefreshResult

    public RefreshResult()

  A RefreshResult is assumed successful unless proven otherwise. Same as RefreshResult(SUCCESS).

### RefreshResult

    public RefreshResult(RefreshResult.Status status)

Method Detail

### getRegistrationResult

    public RefreshResult getRegistrationResult()

### setRegistrationResult

    public void setRegistrationResult(RefreshResult registrationResult)

### didRefreshHappen

    public boolean didRefreshHappen()

### hasIssues

    public boolean hasIssues()

### getStatus

    public RefreshResult.Status getStatus()

### setStatus

    public void setStatus(RefreshResult.Status status)

### setServiceDescription

    public void setServiceDescription(ServiceDescription serviceDescription)

### getServiceDescription

    public ServiceDescription getServiceDescription()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD